Subject: Re: Hosting from Windows XP.

From: Jakub Narebski <[email-masked]>
Date: Mon, 26 Jan 2009 09:34:13 -0800 (PST)

"Shawn O. Pearce" <[email-masked]> writes:
> Tim Visher <[email-masked]> wrote:

> > I'm trying to get git set up for my company.  We're stuck using
> > Windows for the foreseeable future so for now I have to host the
> > central integration repository out of a Windows box.  I figured the
> > easiest way to do this, short of installing cygwin, would be to do a
> > simple msysgit install and then run git daemon with the relevant repo
> > copied over onto the server.  Then devs could track that repo.
> > However, it appears that msysgit does not install git daemon.
> 
> git-daemon isn't ported yet, due to its heavy reliance on POSIX
> behavior during fork+exec.

You can use instead "dumb" HTTP protocol, or network filesystem
(network share).  Or SSH.

Note that for push you don't [usually] use git-daemon: you can use
SSH, filesystem (network share), HTTPS with WebDAV.

> > I may totally be missing something here, but I don't know what.  Short
> > of the question is, how do I host a repo out of Windows?
> 
> I think your options are limited to:
[...]
> - Use JGit and its daemon

>>From what I remember currently JGit daemon generates suboptimal
packfiles, as it does not support delta compression yet...

-- 
Jakub Narebski
Poland
ShadeHawk on #git